## picamera-1.13.1b0.zip

=== Makefile ===
# vim: set noet sw=4 ts=4 fileencoding=utf-8:

# External utilities
PYTHON=python
PIP=pip
PYTEST=py.test
COVERAGE=coverage
PYFLAGS=
DEST_DIR=/

# Horrid hack to ensure setuptools is installed in our python environment. This
# is necessary with Python 3.3's venvs which don't install it by default.
ifeq ($(shell python -c "import setuptools" 2>&1),)
SETUPTOOLS:=
else
SETUPTOOLS:=$(shell wget https://bitbucket.org/pypa/setuptools/raw/bootstrap/ez_setup.py -O - | $(PYTHON))
endif

# Calculate the base names of the distribution, the location of all source,
# documentation, packaging, icon, and executable script files
NAME:=$(shell $(PYTHON) $(PYFLAGS) setup.py --name)
VER:=$(shell $(PYTHON) $(PYFLAGS) setup.py --version)
ifeq ($(shell lsb_release -si),Ubuntu)
DEB_SUFFIX:=ubuntu1
else
DEB_SUFFIX:=
endif
DEB_ARCH:=$(shell dpkg --print-architecture)
PYVER:=$(shell $(PYTHON) $(PYFLAGS) -c "import sys; print('py%d.%d' % sys.version_info[:2])")
PY_SOURCES:=$(shell \
	$(PYTHON) $(PYFLAGS) setup.py egg_info >/dev/null 2>&1 && \
	grep -v "\.egg-info" $(NAME).egg-info/SOURCES.txt)
DEB_SOURCES:=debian/changelog \
	debian/control \
	debian/copyright \
	debian/rules \
	debian/docs \
	$(wildcard debian/*.init) \
	$(wildcard debian/*.default) \
	$(wildcard debian/*.manpages) \
	$(wildcard debian/*.docs) \
	$(wildcard debian/*.doc-base) \
	$(wildcard debian/*.desktop)
DOC_SOURCES:=docs/conf.py \
	$(wildcard docs/*.png) \
	$(wildcard docs/*.svg) \
	$(wildcard docs/*.dot) \
	$(wildcard docs/*.mscgen) \
	$(wildcard docs/*.gpi) \
	$(wildcard docs/*.rst) \
	$(wildcard docs/*.pdf)
SUBDIRS:=

# Calculate the name of all outputs
DIST_EGG=dist/$(NAME)-$(VER)-$(PYVER).egg
DIST_TAR=dist/$(NAME)-$(VER).tar.gz
DIST_ZIP=dist/$(NAME)-$(VER).zip
DIST_DEB=dist/python-$(NAME)_$(VER)$(DEB_SUFFIX)_armhf.deb \
	dist/python3-$(NAME)_$(VER)$(DEB_SUFFIX)_armhf.deb \
	dist/python-$(NAME)-docs_$(VER)$(DEB_SUFFIX)_all.deb \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).changes
DIST_DSC=dist/$(NAME)_$(VER)$(DEB_SUFFIX).tar.gz \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX).dsc \
	dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.changes
MAN_PAGES=


# Default target
all:
	@echo "make install - Install on local system"
	@echo "make develop - Install symlinks for development"
	@echo "make test - Run tests"
	@echo "make doc - Generate HTML and PDF documentation"
	@echo "make source - Create source package"
	@echo "make egg - Generate a PyPI egg package"
	@echo "make zip - Generate a source zip package"
	@echo "make tar - Generate a source tar package"
	@echo "make deb - Generate Debian packages"
	@echo "make dist - Generate all packages"
	@echo "make clean - Get rid of all generated files"
	@echo "make release - Create and tag a new release"
	@echo "make upload - Upload the new release to repositories"

install: $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py install --root $(DEST_DIR)

doc: $(DOC_SOURCES)
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(MAKE) -C docs epub
	$(MAKE) -C docs latexpdf

source: $(DIST_TAR) $(DIST_ZIP)

egg: $(DIST_EGG)

zip: $(DIST_ZIP)

tar: $(DIST_TAR)

deb: $(DIST_DEB) $(DIST_DSC)

dist: $(DIST_EGG) $(DIST_DEB) $(DIST_DSC) $(DIST_TAR) $(DIST_ZIP)

develop: tags
	@# Loads of stuff simply doesn't support py3.2 anymore; easiest to
	@# install from a requirements file
	if $(PYTHON) -V | grep "^Python 3\.2\."; then \
		$(PIP) install -r py32dev_requirements.txt \
		$(PYTHON) setup.py develop \
	else \
		$(PIP) install -U setuptools \
		$(PIP) install -U pip \
		$(PIP) install -e .[doc,test] \
	fi

test:
	$(COVERAGE) run --rcfile coverage.cfg -m $(PYTEST) tests -v
	$(COVERAGE) report --rcfile coverage.cfg

clean:
	$(PYTHON) $(PYFLAGS) setup.py clean
	$(MAKE) -f $(CURDIR)/debian/rules clean
	$(MAKE) -C docs clean
	rm -fr build/ dist/ $(NAME).egg-info/ tags
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir clean; \
	done
	find $(CURDIR) -name "*.pyc" -delete

tags: $(PY_SOURCES)
	ctags -R --exclude="build/*" --exclude="debian/*" --exclude="docs/*" --languages="Python"

$(SUBDIRS):
	$(MAKE) -C $@

$(MAN_PAGES): $(DOC_SOURCES)
	$(PYTHON) $(PYFLAGS) setup.py build_sphinx -b man
	mkdir -p man/
	cp build/sphinx/man/*.[0-9] man/

$(DIST_TAR): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats gztar

$(DIST_ZIP): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats zip

$(DIST_EGG): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py bdist_egg

$(DIST_DEB): $(PY_SOURCES) $(SUBDIRS) $(DEB_SOURCES) $(MAN_PAGES)
	# build the binary package in the parent directory then rename it to
	# project_version.orig.tar.gz
	$(PYTHON) $(PYFLAGS) setup.py sdist --dist-dir=../
	rename -f 's/$(NAME)-(.*)\.tar\.gz/$(NAME)_$$1\.orig\.tar\.gz/' ../*
	debuild -b -i -I -Idist -Ibuild -Idocs/_build -Icoverage -I__pycache__ -I.coverage -Itags -I*.pyc -I*.vim -I*.xcf -rfakeroot
	mkdir -p dist/
	for f in $(DIST_DEB); do cp ../$${f##*/} dist/; done

$(DIST_DSC): $(PY_SOURCES) $(SUBDIRS) $(DEB_SOURCES) $(MAN_PAGES)
	# build the source package in the parent directory then rename it to
	# project_version.orig.tar.gz
	$(PYTHON) $(PYFLAGS) setup.py sdist --dist-dir=../
	rename -f 's/$(NAME)-(.*)\.tar\.gz/$(NAME)_$$1\.orig\.tar\.gz/' ../*
	debuild -S -i -I -Idist -Ibuild -Idocs/_build -Icoverage -I__pycache__ -I.coverage -Itags -I*.pyc -I*.vim -I*.xcf -rfakeroot
	mkdir -p dist/
	for f in $(DIST_DSC); do cp ../$${f##*/} dist/; done

release: $(PY_SOURCES) $(DOC_SOURCES) $(DEB_SOURCES)
	$(MAKE) clean
	# ensure there are no current uncommitted changes
	test -z "$(shell git status --porcelain)"
	# update the debian changelog with new release information
	dch --newversion $(VER)$(DEB_SUFFIX) --controlmaint
	# commit the changes and add a new tag
	git commit debian/changelog -m "Updated changelog for release $(VER)"
	git tag -s release-$(VER) -m "Release $(VER)"
	# update the package's registration on PyPI (in case any metadata's changed)
	$(PYTHON) $(PYFLAGS) setup.py register -r https://pypi.python.org/pypi

upload: $(PY_SOURCES) $(DOC_SOURCES) $(DIST_DEB) $(DIST_DSC)
	# build a source archive and upload to PyPI
	$(PYTHON) $(PYFLAGS) setup.py sdist upload -r https://pypi.python.org/pypi
	# build the deb source archive and upload to Raspbian
	dput raspberrypi dist/$(NAME)_$(VER)$(DEB_SUFFIX)_source.changes
	dput raspberrypi dist/$(NAME)_$(VER)$(DEB_SUFFIX)_$(DEB_ARCH).changes
	git push --tags

.PHONY: all install develop test doc source egg zip tar deb dist clean tags release upload $(SUBDIRS)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
DOT_DIAGRAMS  := $(wildcard images/*.dot)
MSC_DIAGRAMS  := $(wildcard images/*.mscgen)
GPI_DIAGRAMS  := $(wildcard images/*.gpi)
SVG_IMAGES    := $(wildcard images/*.svg) $(DOT_DIAGRAMS:%.dot=%.svg) $(MSC_DIAGRAMS:%.mscgen=%.svg)
PNG_IMAGES    := $(wildcard images/*.png) $(GPI_DIAGRAMS:%.gpi=%.png) $(SVG_IMAGES:%.svg=%.png)
PDF_IMAGES    := $(SVG_IMAGES:%.svg=%.pdf) $(GPI_DIAGRAMS:%.gpi=%.pdf) $(DOT_DIAGRAMS:%.dot=%.pdf) $(MSC_DIAGRAMS:%.mscgen=%.pdf)

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/picamera.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/picamera.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/picamera"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/picamera"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

%.svg: %.mscgen
	mscgen -T svg -o $@ $<

%.svg: %.dot
	dot -T svg -o $@ $<

%.png: %.gpi common.gp
	gnuplot -e "set term pngcairo size 640,480" $< > $@

%.png: %.svg
	inkscape -e $@ $<

%.pdf: %.svg
	inkscape -A $@ $<

%.pdf: %.gpi common.gp
	gnuplot -e "set term pdfcairo size 10cm,7.5cm" $< > $@

%.pdf: %.mscgen
	mscgen -T eps -o - $< | ps2pdf -dEPSCrop - $@

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

=== debian/changelog ===
picamera (1.13) stable; urgency=low

  * 10 second captures should now work with the V2 module as the default
    CAPTURE_TIMEOUT has been increased to 60 seconds (#284)
  * A bug in PiCameraCircularIO.copy_to caused it to copy nothing when it
    encountered "unknown" timestamps in the stream (#302, #319, #357)
  * A silly typo in code used by PiRGBArray was fixed (#321)
  * A bug in PiCamera.capture_continuous which caused duplicate frames in the
    output was fixed (#311)
  * Bitrate limits were removed on MJPEG, and full checking of H264 bitrates
    and macroblocks/s was implemented (#315)
  * A bug was fixed in the sensor_mode attribute which prevented it from being
    set after construction (#324)
  * A bug in the custom encoders example was fixed (#337)
  * Fixed a rare race condition that occurred when multiple splitter ports were
    in use (#344)
  * Recording overlays is now possible, but currently requires using the lower
    level mmalobj layer (#196)
  * Capturing YUV arrays via PiYUVArray is faster, thanks to GitHub user
    goosst (#308)
  * Added the ability to specify a restart interval for JPEG encoding (#369)
  * Added a property allowing users to manually specify a framerate_range for
    the camera (#374)
  * Added support for partially transparent overlays in RGBA format (#199)
  * Improved MJPEG web-streaming recipe, many thanks to GitHub user BigNerd95!
    (#375)
  * The Advanced Recipes chapter has been thoroughly re-worked and I would
    encourage anyone using the camera for Computer Vision purposes to re-read
    that chapter
  * The Camera Hardware chapter has been extended to include a thorough
    introduction to the low level operation of the camera module. This is
    important for understanding the limitations and peculiarities of the
    system
  * Anyone interested in using a lower level API to control the camera (which
    includes capabilities like manipulating frames before they hit the video
    encoder) should read the API - mmalobj chapter
  * Finally, some work was done on enhancing the PDF and EPub versions of the
    documentation. These should now be much more useable in hard-copy and on
    e-readers

 -- Dave Jones <dave@waveform.org.uk>  Sat, 25 Feb 2017 20:12:34 +0000

picamera (1.12) stable; urgency=low

  * Fixed issue with unencoded captures in Python 3 (#297)
  * Fixed several Python 3 bytes/unicode issues that were related to #297 (I'd
    erroneously run the picamera test suite twice against Python 2 instead of
    2 and 3 when releasing 1.11, which is how these snuck in)
  * Fixed multi-dimensional arrays for overlays under Python 3
  * Finished alternate CIE constructors for the Color class

 -- Dave Jones <dave@waveform.org.uk>  Mon, 04 Jul 2016 00:02:48 +0100

picamera (1.11) stable; urgency=low

  * Direct capture to buffer-protocol objects, such as numpy arrays (#241)
  * Add PiCamera.request_key_frame method to permit manual request of an
    I-frame during H264 recording; this is now used implicitly by
    PiCamera.split_recording (#257)
  * Added PiCamera.timestamp attribute to query camera's clock (#212)
  * Added PiCamera.framerate_delta to permit small adjustments to the camera's
    framerate to be performed "live" (#279)
  * Added PiCameraCircularIO.clear and PiCameraCircularIO.copy_to methods to
    PiCameraCircularIO (#216)
  * Prevent setting attributes on the main PiCamera class to ease debugging in
    educational settings (#240)
  * Due to the core re-writes in this version, you may require cutting edge
    firmware (sudo rpi-update) if you are performing unencoded captures,
    unencoded video recording, motion estimation vector sampling, or manual
    sensor mode setting.
  * Added property to control preview's PiPreviewRenderer.resolution
    separately from the camera's PiCamera.resolution (required for maximum
    resolution previews on the V2 module - #296).
  * Fixed basic stereoscopic operation on compute module (#218)
  * Fixed accessing framerate as a tuple (#228)
  * Fixed hang when invalid file format is specified (#236)
  * Fixed multiple bayer captures with PiCamera.capture_sequence and
    PiCamera.capture_continuous (#264)
  * Fixed usage of "falsy" custom outputs with motion_output (#281)

 -- Dave Jones <dave@waveform.org.uk>  Sun, 19 Jun 2016 22:30:59 +0100

picamera (1.10-1) stable; urgency=low

  * The major enhancement is the addition of support for the camera's flash
    driver. This is relatively complex to configure, but a full recipe has
    been included in the documentation (#184)
  * A new intra_refresh attribute is added to the start_recording method
    permitting control of the intra-frame refresh method (#193)
  * The GPIO pins controlling the camera's LED are now configurable. This is
    mainly for any compute module users, but also for anyone who wishes to use
    the device tree blob to reconfigure the pins used (#198)
  * The new annotate V3 struct is now supported, providing custom background
    colors for annotations, and configurable text size. As part of this work a
    new Color class was introduced for representation and manipulation of
    colors (#203)
  * Reverse enumeration of frames in PiCameraCircularIO is now supported
    efficiently (without having to convert frames to a list first) (#204)
  * Finally, the API documentation has been re-worked as it was getting too
    large to comfortably load on all platforms (no ticket)

 -- Dave Jones <dave@waveform.org.uk>  Tue, 31 Mar 2015 02:01:42 +0100

picamera (1.9-1) stable; urgency=low

  * The camera's sensor mode can now be forced to a particular setting upon
    camera initialization with the new sensor_mode parameter to PiCamera()
    (#165)
  * The camera's initial framerate and resolution can also be specified as
    keyword arguments to the PiCamera initializer. This is primarily intended
    to reduce initialization time (#180)


=== debian/control ===
Source: picamera
Maintainer: Dave Jones <dave@waveform.org.uk>
Homepage: http://picamera.readthedocs.io/
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), python-all (>= 2.7), python-setuptools, python3-all, python3-setuptools, python-docutils, python-sphinx (>= 1.0.7+dfsg-1~), libjs-mathjax
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-picamera
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, libraspberrypi0, python-numpy
Suggests: python-picamera-docs, python-rpi.gpio
Description: Pure Python interface to the Raspberry Pi's camera module.
 picamera is a library for working with the Raspberry Pi's camera module from
 within Python without having to resort to subprocesses. The majority of the
 functionality of raspistill and raspivid is replicated by the library.
 .
 This is the Python 2 version of the package.

Package: python3-picamera
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, libraspberrypi0, python3-numpy
Suggests: python-picamera-docs, python3-rpi.gpio
Description: Pure Python interface to the Raspberry Pi's camera module.
 picamera is a library for working with the Raspberry Pi's camera module from
 within Python without having to resort to subprocesses. The majority of the
 functionality of raspistill and raspivid is replicated by the library.
 .
 This is the Python 3 version of the package.

Package: python-picamera-docs
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-mathjax
Description: Documentation for the Python interface to the RPi's camera module.
 picamera is a library for working with the Raspberry Pi's camera module from
 within Python without having to resort to subprocesses. The majority of the
 functionality of raspistill and raspivid is replicated by the library.
 .
 This is the version-independent documentation for the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils

override_dh_auto_install:
	python setup.py install --root debian/python-picamera --install-layout=deb
	python3 setup.py install --root debian/python3-picamera --install-layout=deb

override_dh_auto_test:
	# Don't run the tests!

override_dh_installdocs:
	python setup.py build_sphinx -b html
	dh_installdocs

override_dh_sphinxdoc:
	dh_sphinxdoc -Xmathjax
